Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  package opt
  Definition Classes
    jvm
-  abstract class Inliner extends AnyRef
  Definition Classes
    opt
- InlineLog
- InlinedCallsite
- MethodInlinerState
- UndoLog
- callsiteOrdering

o

scala.tools.nsc.backend.jvm.opt.Inliner

# callsiteOrdering

###

#### object callsiteOrdering extends Ordering[(callGraph)#Callsite]

Ordering for inline requests. Required to make the inliner deterministic:

- Always remove the same request when breaking inlining cycles
- Perform inlinings in a consistent order

Source
  Inliner.scala

Linear Supertypes
math.Ordering[(callGraph)#Callsite], math.PartialOrdering[(callGraph)#Callsite], math.Equiv[(callGraph)#Callsite], java.io.Serializable, Comparator[(callGraph)#Callsite], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. callsiteOrdering
2. Ordering
3. PartialOrdering
4. Equiv
5. Serializable
6. Comparator
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  class OrderingOps extends AnyRef
   Definition Classes
     Ordering

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def compare(x: (callGraph)#Callsite, y: (callGraph)#Callsite): Int
   Definition Classes
     callsiteOrdering → Ordering → Comparator
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def equiv(x: (callGraph)#Callsite, y: (callGraph)#Callsite): Boolean
   Definition Classes
     Ordering → PartialOrdering → Equiv
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def gt(x: (callGraph)#Callsite, y: (callGraph)#Callsite): Boolean
    Definition Classes
      Ordering → PartialOrdering
13.  def gteq(x: (callGraph)#Callsite, y: (callGraph)#Callsite): Boolean
    Definition Classes
      Ordering → PartialOrdering
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  def isReverseOf(other: math.Ordering[_]): Boolean
    Definition Classes
      Ordering
17.  def lt(x: (callGraph)#Callsite, y: (callGraph)#Callsite): Boolean
    Definition Classes
      Ordering → PartialOrdering
18.  def lteq(x: (callGraph)#Callsite, y: (callGraph)#Callsite): Boolean
    Definition Classes
      Ordering → PartialOrdering
19.  def max[U <: (callGraph)#Callsite](x: U, y: U): U
    Definition Classes
      Ordering
20.  def min[U <: (callGraph)#Callsite](x: U, y: U): U
    Definition Classes
      Ordering
21.  implicit def mkOrderingOps(lhs: (callGraph)#Callsite): OrderingOps
    Definition Classes
      Ordering
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def on[U](f: (U) => (callGraph)#Callsite): math.Ordering[U]
    Definition Classes
      Ordering
26.  def orElse(other: math.Ordering[(callGraph)#Callsite]): math.Ordering[(callGraph)#Callsite]
    Definition Classes
      Ordering
27.  def orElseBy[S](f: ((callGraph)#Callsite) => S)(implicit ord: math.Ordering[S]): math.Ordering[(callGraph)#Callsite]
    Definition Classes
      Ordering
28.  def reverse: math.Ordering[(callGraph)#Callsite]
    Definition Classes
      Ordering → PartialOrdering
29.  def reversed(): Comparator[(callGraph)#Callsite]
    Definition Classes
      Comparator
30.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
31.  def thenComparing[U <: Comparable[_ >: U <: AnyRef]](arg0: java.util.function.Function[_ >: (callGraph)#Callsite <: AnyRef, _ <: U]): Comparator[(callGraph)#Callsite]
    Definition Classes
      Comparator
32.  def thenComparing[U <: AnyRef](arg0: java.util.function.Function[_ >: (callGraph)#Callsite <: AnyRef, _ <: U], arg1: Comparator[_ >: U <: AnyRef]): Comparator[(callGraph)#Callsite]
    Definition Classes
      Comparator
33.  def thenComparing(arg0: Comparator[_ >: (callGraph)#Callsite <: AnyRef]): Comparator[(callGraph)#Callsite]
    Definition Classes
      Comparator
34.  def thenComparingDouble(arg0: ToDoubleFunction[_ >: (callGraph)#Callsite <: AnyRef]): Comparator[(callGraph)#Callsite]
    Definition Classes
      Comparator
35.  def thenComparingInt(arg0: ToIntFunction[_ >: (callGraph)#Callsite <: AnyRef]): Comparator[(callGraph)#Callsite]
    Definition Classes
      Comparator
36.  def thenComparingLong(arg0: ToLongFunction[_ >: (callGraph)#Callsite <: AnyRef]): Comparator[(callGraph)#Callsite]
    Definition Classes
      Comparator
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  def tryCompare(x: (callGraph)#Callsite, y: (callGraph)#Callsite): Some[Int]
    Definition Classes
      Ordering → PartialOrdering
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from math.Ordering[(callGraph)#Callsite]

### Inherited from math.PartialOrdering[(callGraph)#Callsite]

### Inherited from math.Equiv[(callGraph)#Callsite]

### Inherited from java.io.Serializable

### Inherited from Comparator[(callGraph)#Callsite]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped